【古屋说】模块加密与反编译模块,矛盾但又很现实

编者注

这是精益论坛上发布的公告。它说了两件事,但它让人们思考。现在分享给大家,希望能给大家一些启发。

话题一

自易语言助手3.0发布以来,“模块强化”功能一直为广大易友的辛勤工作“保驾护航”。

易语言自带的模块加密功能一开始可以保护易友的劳动成果,但加密也带来了一些问题:将恶意文件或代码封装到模块中好用的易语言模块,这样的不良开发者成功破坏了良好的分享氛围。

模块加密和反编译模块好用的易语言模块,矛盾但很现实:

一方面,加密保护了劳动成果,同时也保护了所谓的“安全可靠”的模块。

另一方面,反编译破坏了劳动成果,暴露了“安全可靠”的问题。

【古屋说】

一件事有两个方面。关键是我们如何看待它。我们不能仅仅因为有不好的事情就否认事物积极的一面。对于模块强化,我个人的看法是应该积极鼓励大家去维护。为了我们自己的权益,我们也应该谴责那些逐利者。当然,我们希望大家多一份开源精神。事实上,如果每个人都愿意分享,那就没有机会了。

话题二

经过易语言助手的多次版本更新和崩溃信息收集,我们已经有了一定的数据可以分析。我们发现使用易语言破解版导致易语言助手崩溃,占总数的50%以上。

【古屋说】

这种问题看似司空见惯,其实我也遇到过。刚学简易语言的时候,也是用破解版的。因此,在一个线程启动的子程序上,编译后的程序总是会崩溃。我怎么看?代码很好。直到我请朋友帮我看看,他编译正版后没有问题,这可能是我购买正版的原因之一。很多朋友会在一些帮助帖里问一些看似“没问题”的问题。我通常会说:“请支持正版!” 使用正版不仅是为了支持易语言,也是为了降低自己的学习成本。.

© 版权声明
THE END
喜欢就支持一下吧
点赞0
分享
评论 抢沙发

请登录后发表评论